# PinChatMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.chat.modify / PinChatMessage

# PinChatMessage

(common) `data class PinChatMessage : ChatRequest, SimpleRequest<Boolean>, MessageAction, DisableNotification` (source)

### Constructors

(common)

#### <init>

`PinChatMessage(chatId: ChatIdentifier, messageId: MessageIdentifier, disableNotification: Boolean = false)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

### Functions

(common)

#### method

`fun method(): String`